import { createContext } from "./context.js";
import { createChannel } from "./channel.js";
export const LogContext = createContext("log", createChannel());
export function* info(message) {
    let { input } = yield* LogContext;
    let { id } = yield { type: "getframe" };
    yield* input.send({ message, level: "info", taskId: id });
}
export function log(message) {
    return info(message);
}
//# sourceMappingURL=log.js.map