import type { Operation, Provide, Reject, Resolve } from "./types.js";
export declare function suspend(): Operation<void>;
export declare function resource<T>(operation: (provide: Provide<T>) => Operation<void>): Operation<T>;
export declare function action<T>(operation: (resolve: Resolve<T>, reject: Reject) => Operation<void>): Operation<T>;
