import type { Channel, Operation } from "./types.js";
export declare const LogContext: Operation<Channel<LogMessage, void>>;
export declare function info(message: string): Operation<void>;
export declare function log(message: string): Operation<void>;
export interface LogMessage {
    taskId: string;
    level: string;
    message: string;
}
