import type { PSMap, PSModule, PSValue } from "./types.js";
import type { Task } from "./deps.js";
export interface PlatformScript {
    eval(value: PSValue, bindings?: PSMap): Task<PSValue>;
    load(url: string | URL, base?: string): Task<PSModule>;
    parse(source: string, filename?: string): PSValue;
}
export declare function createPlatformScript(extensions?: PSMap): PlatformScript;
