import type { PSMap, PSValue } from "./types.js";
import type { Operation } from "./deps.js";
export declare function createPSMap(): PSMap;
export declare function concat(parent: PSMap, child: PSMap): PSMap;
export declare function map(fntor: PSMap, fn: (value: PSValue) => Operation<PSValue>): Operation<PSMap>;
export declare type Maybe<T> = {
    type: "just";
    value: T;
} | {
    type: "nothing";
    value: void;
};
export declare function lookup(key: string, map: PSMap): Maybe<PSValue>;
export declare function lookup$(key: string, map: PSMap): PSValue;
export declare function exclude(keys: string[], map: PSMap): PSMap;
