import { action, suspend } from "./instructions.js";
export function sleep(duration) {
    return action(function* sleep(resolve) {
        let timeoutId = setTimeout(resolve, duration);
        try {
            yield* suspend();
        }
        finally {
            clearTimeout(timeoutId);
        }
    });
}
//# sourceMappingURL=sleep.js.map