"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.log = exports.info = exports.LogContext = void 0;
const context_js_1 = require("./context.js");
const channel_js_1 = require("./channel.js");
exports.LogContext = (0, context_js_1.createContext)("log", (0, channel_js_1.createChannel)());
function* info(message) {
    let { input } = yield* exports.LogContext;
    let { id } = yield { type: "getframe" };
    yield* input.send({ message, level: "info", taskId: id });
}
exports.info = info;
function log(message) {
    return info(message);
}
exports.log = log;
//# sourceMappingURL=log.js.map